initial push

This commit is contained in:
Bernd Mueller
2026-06-17 13:44:30 +02:00
commit adfd70813f
372 changed files with 146450 additions and 0 deletions

50
m68k/local_scripts/MAKEDEV Executable file
View File

@@ -0,0 +1,50 @@
#!/bin/sh
#
# MAKEDEV - create BDM character special file
#
cd /dev
if [ ! -c bdmcpu320 ]
then
mknod bdmcpu320 c 34 0
chmod 666 bdmcpu320
fi
if [ ! -c bdmcpu321 ]
then
mknod bdmcpu321 c 34 1
chmod 666 bdmcpu321
fi
if [ ! -c bdmcpu322 ]
then
mknod bdmcpu322 c 34 2
chmod 666 bdmcpu322
fi
if [ ! -c bdmcf0 ]
then
mknod bdmcf0 c 34 4
chmod 666 bdmcf0
fi
if [ ! -c bdmcf1 ]
then
mknod bdmcf1 c 34 5
chmod 666 bdmcf1
fi
if [ ! -c bdmcf2 ]
then
mknod bdmcf2 c 34 6
chmod 666 bdmcf2
fi
if [ ! -c bdmicd0 ]
then
mknod bdmicd0 c 34 8
chmod 666 bdmicd0
fi
if [ ! -c bdmicd1 ]
then
mknod bdmicd1 c 34 9
chmod 666 bdmicd1
fi
if [ ! -c bdmicd2 ]
then
mknod bdmicd2 c 34 10
chmod 666 bdmicd2
fi

View File

@@ -0,0 +1,2 @@
Add scripts/rtsetup declarations to the system-wide shell
initialization (/etc/profile).

135
m68k/local_scripts/build-it Executable file
View File

@@ -0,0 +1,135 @@
#!/bin/sh
#
# Checks the status returned by executables and exits if it is non-zero.
#
check_fatal()
{
if [ $1 -ne 0 ] ; then
shift
echo "error: $*" >&2
exit 1
fi
}
#
# What OS are we on.
#
OS=`uname`
case ${OS} in
Linux)
DO_DRIVER=Yes
DRIVER=linux
DO_LIB=Yes
DO_SERVER=Yes
DO_TEST=Yes
DO_UTILS=Yes
;;
FreeBSD)
DO_DRIVER=Yes
DRIVER=freebsd
DO_LIB=Yes
DO_SERVER=Yes
DO_TEST=Yes
DO_UTILS=Yes
;;
CYGWIN*)
DO_LIB=Yes
DO_TEST=Yes
DO_UTILS=Yes
;;
*)
echo "error: operating system not supported"
exit 1
;;
esac
#
# Figure out if GNU make is available. This is for FreeBSD.
#
gmake_found=no
for name in gmake make
do
if [ ${gmake_found} = "no" ] ; then
${name} --version > /dev/null 2>&1
if [ $? -eq 0 ] ; then
MAKE=${name}
gmake_found=yes
fi
fi
done
if [ ${gmake_found} = "no" ] ; then
echo "Unable to locate a version of GNU make in your PATH"
echo "GNU Make is required to build these tools."
exit 1
fi
if [ x${DO_DRIVER} = "xYes" ]; then
echo "Building BDM Driver for ${OS}"
cd driver/${DRIVER}
check_fatal $? "cannot cd to \`driver/${DRIVER}'."
echo ${MAKE} clean
${MAKE} clean
check_fatal $? "cannot clean \`driver/${DRIVER}'."
echo ${MAKE}
${MAKE}
check_fatal $? "cannot make \`driver/${DRIVER}'."
cd ../../
fi
if [ x${DO_LIB} = "xYes" ]; then
echo "Building BDM Library for ${OS}"
cd lib
check_fatal $? "cannot cd to \`lib'."
echo ${MAKE} clean
${MAKE} clean
check_fatal $? "cannot clean \`lib'."
echo ${MAKE}
${MAKE}
check_fatal $? "cannot make \`lib'."
cd ../
fi
if [ x${DO_SERVER} = "xYes" ]; then
echo "Building BDM Server for ${OS}"
cd server
check_fatal $? "cannot cd to \`server'."
echo ${MAKE} clean
${MAKE} clean
check_fatal $? "cannot clean \`server'."
echo ${MAKE}
${MAKE}
check_fatal $? "cannot make \`server'."
cd ../
fi
if [ x${DO_TEST} = "xYes" ]; then
echo "Building BDM Tests for ${OS}"
cd test
check_fatal $? "cannot cd to \`test'."
echo ${MAKE} clean
${MAKE} clean
check_fatal $? "cannot clean \`test'."
echo ${MAKE}
${MAKE}
check_fatal $? "cannot make \`test'."
cd ../
fi
if [ x${DO_UTILS} = "xYes" ]; then
echo "Building BDM Utilites for ${OS}"
cd utils
check_fatal $? "cannot cd to \`utils'."
echo ${MAKE} clean
${MAKE} clean
check_fatal $? "cannot clean \`utils'."
echo ${MAKE}
${MAKE}
check_fatal $? "cannot make \`utils'."
cd ../
fi

View File

@@ -0,0 +1,18 @@
#!/bin/sh
#
set -ex
case "$#" in
1) ;;
*) echo "Usage: $0 source_directory" 2>&1 ; exit 1 ;;
esac
SRCDIR="$1"
"$SRCDIR/configure" --target=m68k-bdm-elf \
--srcdir="$SRCDIR" \
--prefix=/opt/rtems
gmake -w
gmake -w install

View File

@@ -0,0 +1,8 @@
#
# RTEMS
#
PATH="$PATH:/usr/local/RTEMS/tools/bin"
RTEMS360() { RTEMS_MAKEFILE_PATH=/usr/local/RTEMS/install/rtems/gen68360 ; export RTEMS_MAKEFILE_PATH }
RTEMS360_040() { RTEMS_MAKEFILE_PATH=/usr/local/RTEMS/install/rtems/gen68360_040 ; export RTEMS_MAKEFILE_PATH }
RTEMS360